# $Revision: 1.3.2.1 $, $Date: 2003/09/12 17:10:58 $
#
# Conditional build:
# _without_tests	- do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	ChaSen
Summary:	Text::ChaSen - ChaSen library module for Perl
Summary(pl):	Text::ChaSen - modu biblioteki ChaSen dla Perla
Name:		perl-%{pdir}-%{pnam}
Version:	1.03
Release:	1
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.daionet.gr.jp/~knok/chasen/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1f5f8b1c79b815c1bc7d171971f1f4a4
#Patch0:		http://www.daionet.gr.jp/~knok/chasen/%%{pnam}.pm-1.03-pod-fix.diff
URL:		http://www.daionet.gr.jp/~knok/chasen/
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-106
BuildRequires:	chasen-devel
Requires:	chasen
Obsoletes:	chasen-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::ChaSen - ChaSen library module for Perl.

%description -l pl
Text::ChaSen - modu biblioteki ChaSen dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitearch}/Text/ChaSen.pm
%dir %{perl_sitearch}/auto/Text/ChaSen
%{perl_sitearch}/auto/Text/ChaSen/ChaSen.bs
%attr(755,root,root) %{perl_sitearch}/auto/Text/ChaSen/ChaSen.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-ChaSen.spec,v $
Revision 1.3.2.1  2003/09/12 17:10:58  twittner
- adapted to Ra

Revision 1.3  2003/09/01 13:55:02  ankry
- md5

Revision 1.2  2003/09/01 12:00:39  qboosh
- cleanups

Revision 1.1  2003/09/01 09:24:40  twittner
- new, for namazu
